// CHPegBoard.h -- View object for PegSolitaire.  Draws the board and pegs,
//                 and handles mouse events.
//
// Copyright (c) 2004 CocoaHeads.  All rights reserved.
// Released under the BSD license

#import <Cocoa/Cocoa.h>

#define PEG_COUNT 15

enum {
    CHPegBoard_NO_PEG = -1
};

@interface CHPegBoard : NSView
{
    BOOL pegStates[PEG_COUNT];	// YES - occupied, NO - empty
    NSBezierPath *pegPaths[PEG_COUNT];	// where the peg lives

    BOOL recalcPegPaths;
    int selectedPeg;

    NSImage *dragImage; // non-nil means we're in a drag
    int dragPeg;        // index of where the drag came from
                        // selectedPeg is what the mouse is currently over
    NSPoint dragPoint;  // where to draw the drag image
    NSPoint lastMouse;  // previous mouse coordinates
}

@end // CHPegBoard


// $Id: CHPegBoard.h,v 1.5 2004/04/16 03:49:24 borkware Exp $
